import React from 'react';
declare type GradientVariations = 'purple-blue-gradient' | 'ocean-gradient' | 'blue-gradient' | 'green-gradient' | 'red-gradient' | 'orange-gradient' | 'pink-gradient' | 'heart-gradient' | 'purple-gradient' | 'white-gradient' | 'light-blue-gradient' | 'purple-white';
export declare type ButtonProps = {
    onClick?: any;
    gradient?: GradientVariations;
    isRound?: boolean;
    disabled?: boolean;
    classes?: string;
    size?: string;
    style?: React.CSSProperties;
    children: any;
    innerClasses?: string;
};
declare const Button: ({ onClick, gradient, isRound, disabled, classes, innerClasses, size, style, children, }: ButtonProps) => JSX.Element;
export { Button };
